ResponseCodeMappingData (Grails 5.1.2)

Package: org.grails.web.mapping

## [Java] Class ResponseCodeMappingData

- org.grails.web.mapping.ResponseCodeMappingData

- All Implemented Interfaces and Traits:
    UrlMappingData

      public class ResponseCodeMappingData
      extends java.lang.Object
      implements UrlMappingData

  A mapping data for response codes (numbers)

  Authors:
    mike
  Since:
    1.0-RC1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ResponseCodeMappingData (java.lang.String responseCode)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public UrlMappingData` | `createRelative(java.lang.String path)`
    `` | `public java.lang.String[]` | `getLogicalUrls()`
    `` | `public int` | `getResponseCode()`
    `` | `public java.lang.String[]` | `getTokens()`
    `` | `public java.lang.String` | `getUrlPattern()`
    `` | `public boolean` | `hasOptionalExtension()`
    `` | `public boolean` | `isOptional(int index)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ResponseCodeMappingData(java.lang.String responseCode)

  - ### Method Detail

    - #### @java.lang.Override public UrlMappingData createRelative(java.lang.String path)

    - #### public java.lang.String[] getLogicalUrls()

    - #### public int getResponseCode()

    - #### public java.lang.String[] getTokens()

    - #### public java.lang.String getUrlPattern()

    - #### @java.lang.Override public boolean hasOptionalExtension()

    - #### public boolean isOptional(int index)